edu.internet2.ndt

## Class MessageType

- java.lang.Object
- - edu.internet2.ndt.MessageType

-     public class MessageType
      extends Object

  Class to define the NDTP control message types

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `COMM_FAILURE`
    `static byte` | `MSG_ERROR`
    `static byte` | `MSG_EXTENDED_LOGIN`
    `static byte` | `MSG_LOGIN`
    `static byte` | `MSG_LOGOUT`
    `static byte` | `MSG_RESULTS`
    `static byte` | `MSG_WAITING`
    `static byte` | `SRV_QUEUE`
    `static byte` | `TEST_FINALIZE`
    `static byte` | `TEST_MSG`
    `static byte` | `TEST_PREPARE`
    `static byte` | `TEST_START`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageType()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMM_FAILURE

          public static final byte COMM_FAILURE

      See Also:
        Constant Field Values

    - #### MSG_ERROR

          public static final byte MSG_ERROR

      See Also:
        Constant Field Values

    - #### MSG_EXTENDED_LOGIN

          public static final byte MSG_EXTENDED_LOGIN

      See Also:
        Constant Field Values

    - #### MSG_LOGIN

          public static final byte MSG_LOGIN

      See Also:
        Constant Field Values

    - #### MSG_LOGOUT

          public static final byte MSG_LOGOUT

      See Also:
        Constant Field Values

    - #### MSG_RESULTS

          public static final byte MSG_RESULTS

      See Also:
        Constant Field Values

    - #### MSG_WAITING

          public static final byte MSG_WAITING

      See Also:
        Constant Field Values

    - #### SRV_QUEUE

          public static final byte SRV_QUEUE

      See Also:
        Constant Field Values

    - #### TEST_FINALIZE

          public static final byte TEST_FINALIZE

      See Also:
        Constant Field Values

    - #### TEST_MSG

          public static final byte TEST_MSG

      See Also:
        Constant Field Values

    - #### TEST_PREPARE

          public static final byte TEST_PREPARE

      See Also:
        Constant Field Values

    - #### TEST_START

          public static final byte TEST_START

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MessageType

          public MessageType()